Skip to main content
GET
/
companies
/
{id}
/
related-persons
/
{personId}
Get related person by ID
curl --request GET \
  --url https://api.rnbi.magent.finance/companies/{id}/related-persons/{personId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Reap-Version: <reap-version>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "fullName": "<string>",
  "email": "jsmith@example.com",
  "status": "NOT_STARTED",
  "createdAt": "<string>",
  "updatedAt": "<string>"
}

Authorizations

Authorization
string
header
required

API key as Bearer token

Headers

Reap-Version
enum<string>
required

API version (YYYY-MM-DD)

Available options:
2025-02-14

Path Parameters

id
string<uuid>
required

Company identifier

personId
string<uuid>
required

Related person identifier

Response

Related person details

id
string<uuid>
required

Unique related person identifier

companyId
string<uuid>
required

Company this person belongs to

fullName
string | null
required

Full name of the person

email
string<email> | null
required

Email address of the person

Pattern: ^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$
status
enum<string>
required

KYC verification status

Available options:
NOT_STARTED,
IN_REVIEW,
APPROVED,
REJECTED
createdAt
string
required

When the person was added (ISO 8601)

updatedAt
string
required

When the person was last updated (ISO 8601)